using PetCompanion.Models;
using PetCompanion.Repositories;

namespace PetCompanion.Services
{
    public class SkillService
    {
        private readonly PetRepository _petRepository;
        private readonly PetSkillRepository _petSkillRepository;

        public SkillService(
            PetRepository petRepository,
            PetSkillRepository petSkillRepository)
        {
            _petRepository = petRepository;
            _petSkillRepository = petSkillRepository;
        }

        public IEnumerable<Skill> GetAvailableSkills()
        {
            return _petSkillRepository.GetAvailableSkills();
        }
    }
}
